AutoCAD .NET :: Find Closest Point From Point To A Region?
Aug 25, 2013How can find closest point from point to a region?
Windows 7 (x64)
AutoCAD 2012 (x64)
How can find closest point from point to a region?
Windows 7 (x64)
AutoCAD 2012 (x64)
Find attached 2 files , a DWG and a LISP
The dwg show a LWpoly, and 3d-poly.
I try to get the param at the closest point, from each vertex at the LW, at the 3d-poly
But as you will see, for some closests point at the 3d-poly there, is no Param
Check at
par+pt@3dpline-list
Here is a short sample
(0.0 598154.0 6.10764e+006 550.0)
(nil 596287.0 6.10656e+006 674.264)
(nil 594548.0 6.10568e+006 624.456)
(nil 594323.0 6.10534e+006 643.747)
(nil 595273.0 6.10224e+006 633.231)
(74.136 595246.0 6.1014e+006 590.0)
I need this information for an animation rig.
Let's say I have an arbitrarily oriented plane, and somewhere above that plane, I have placed an object. Now, I want to calculate the closest point on that plane to the position of the object, and constrain a third object to that calculated position.
If I move the object above the plane around, the object on the plane should always move to a position where it is as close to the first object as possible without leaving the plane. Is there any reasonable way to do this with on-board 3ds 2012 features?
I need to find center of Region (refer to as Centroid in MassProperties of acad, also known as Centre of gravity if 'element' mass is unique). After few days of googling, searchin i this forum... I still can not figure it out how to get centroid point from Region in VB.NET. For Solid3D is easy while it exposes this property, but Region does not reveal any properties except Area.
View 2 Replies View RelatedI have been taking data using an EDM and names all of the points. Once I export it to autoCAD as a dxf file, im struggling to find the point data.
View 2 Replies View Relatedi have the fillowing norting/easting:
257,414.80
232,947.60
how can i enter that into autocad (2010) and find its location?
I want to find the tangent intersection point between 2 circles within certain conditions.
Circle 1 is r: 30 m and is fixed.
Circle 2 is r: 20 m and its position is inside circle 1.
Circle 2 can be moved in a given angle.
The question is: what distance should circle 2 move, to become tangent with circle 1.
I draw 3 lines to form an open polyline. They are still in lines, not converted into a polyline.
How do I find the start or end point of the polyline with program? I am thinking to check all points which is not shared by two lines.
How to find the inflection point of a spline???
I create a spline from a list of points and want to know where the curve of the spline changes to be able to dimension this point, it is not necessarily a point that is entered.
Is there any function available to find out if a point is present on a line or not?
View 8 Replies View RelatedI need to design a walking track 1 mile (5280 feet) from a starting point and finishing at the same point. I need to go around buildings, ponds, etc. What is the best way to tackle this? I thought about 16 splines at 330', but as soon as the spline is moved the distance changes.
View 2 Replies View RelatedI need to find a way how to insert a point or a * on the center point of a hole and put it on a different layer. The reason for this is - I am a CAD tech for a welding shop and we cut parts out of steel and we use the dxf file format for our plasma table to cut parts. For example : if i have a 1 inch thick plate and want to put a 3/4'' hole in the plate the hole will be distorted because the hole is smaller than the material thickness. For these situation we can use the plasma table to burn a point or a dot on the center point of the hole. But to do this the point or dot must be on a different layer in the dxf.
View 2 Replies View RelatedI am looking for something a lisp or program that would do a light point by point of fixtures in a plan.
[URL]
Civil 3d 2012..I used 3d orbit, it crashed. My points, point groups and newly updated description keys are gone.I have looked at all my backup files etc, and they do not want to display.
View 4 Replies View RelatedIm still new to Civil 3D and i would like to know how to connect inported points using 3D polylines. I imported my points from Excel in a PNEZD format. How do i get the 3d poly line to snap to my points so I can Connect them? someone mentioned using a feature line to connect the points but im not sure how or what that would do.
View 3 Replies View RelatedWhat's the difference between the "Point" Parameter and the "Base Point" Parameter in the Block Authoring Parameter Pallet?
HP DV7 Laptop
Intel Core i7-3820QM 3rd Generation Quad Core 2.7 GHZ CPU
16 GB DDR3 RAM ( 2 DIMM ) / 180 GB SSD
Nvidia GeForce 650M Graphics w/2 GB Memory
Windows 7 Professional 64 bit / AutoCAD Civil 3D 2014
I'm trying to draw a plan of my house in Autocad 2009 but I seem to be endlessly using trim and extend because I can't easily select the points that I want with osnap. Eg. imagine I have a box, and I want to start drawing another box inside it that has each side as 10 units smaller than the corresponding side on the outer box.
Step 1 - I draw a small line from the top left corner of the big box using the endpoint snap, typing in "5" for the length.
Step 2 - I then do the same at right angles to the first line to get me to the starting point of the inner box. This always leaves me with 2 small lines to remember to delete.
Step 3 - Then in order to draw the top line of the inner box I end up drawing to a random length because I can't say "draw until 5 units away from the right hand side of the big box", then I end up trimming it later once I've repeated steps 1,2 and 3 for the next side of the inner box.
I know in my example above I could have scaled the box down or something but that's not what I'm getting at. I really want a way of selecting line start and end points that are a known position away from an existing point.
I have a database of points I am trying to import, and the point data for each point includes a hyperlink. I've created a set of custom User-Defined Property Classifications for all the data types in the point database, and I've created a point file format to use to import the points.
It's a database of existing curb ramps, the data includes things like widths, slopes, some text, and a hyperlink to the Google Streetview at each ramp. I've created a custom point label that will show the data I need to see at each ramp.
All goes great except that the import fails because of the hyperlinks. I've tested it by removing the hyperlinks from a small test portion of the data set, and the test points are then successfully imported. I suppose I can delete the hyperlinks from the entire database, but if there is a way to include the hyperlinks in the point import I would prefer that.
Win 7E 64-bit, Intel i7, 12 GB
C3D 2012
In uploading the Point input data into the AutoCAD Civil 3D 2013 software program, is it possible for me to add more Point Attribute items after Point Number, X, Y, Z? I need to have the chemical results/data attached to the (sampling) Point that has the Point #, X, Y, Z - like Point Number, X, Y, Z, Arsenic, Lead, Mercury in the input .txt (or .csv) file.
View 9 Replies View Relatedhow to match up certain points. I have imported 2 point clouds and have tried to use the 'align' tool to specify three points from the source object (cloud) and three points from the destination object (cloud). When doing this, it does not properly align them. The point cloud makes it difficult to select the exact point I would like to align, since there may not be a point at that exact location, but close to it. Does AutoCAD require the points in alignment to match up perfectly or is it capable of doing a best fit?
Also, is AutoCAD capable of creating a solid 3D piece from the point cloud? I would like to take all of my points and make a smooth object.
How to set a default point style for point groups? Whenever I import survey points, I always put them into their own point group, so I can display each day's worth of survey data differently. For some reason, the point style always defaults to a certain style (our control point symbol). I'd like it to default to Basic, so I don't have to change this every time. Is it a template drawing setting somewhere?
View 5 Replies View RelatedFirst time importing into 2012-have csv file that I imported. Coordinates land in right spot. Local system-No transformations/State Plane zones attached. When I look at them with tracking everything is okay. When I export the points they are the same I imported.
When I list the points they are way off?
C3D 2012
Is there a 'property' to use the Point Group Name. I need it in the Point Table Style: Title text like this:
I am working on a utility map with water valves and hydrants. I collected my points with a Trimble unit and converted them to shape files. I am unable to snap to these points, how i can use snap to draw my water mains from point to point?
View 5 Replies View RelatedI'm inserting blocks into my drawing and the block has a basepoint and a 0,0,0 point. The CAD guy who usually works with me is off today but he has a keyboard method of switching between the 2 points when inserting the block.
Its a fairly straight forward thing on his keyboard, nothing he has set up but standard in autocad.
I've had a try hitting a few keyboard buttons this morning but can't seem to do it.
If I use this code it will give me the insertion point for a block
(setq ent (car (entsel "
Select Main Object: ")))
(setq InsPt (assoc 10 (entget Ent)))
Now if I try to use this for a surface label and try to get the insertion point
(setq ent (car (entsel "
Select Main Object: ")))
(setq oEnt (vlax-Ename->Vla-Object ent))
(vlax-dump-object oEnt)
I dont see anything that will get the insertion point.
I would like to use iLogic to find the location of the points of a line, determine if the line is approximately vertical, and apply a vertical constraint if it is vertical.
Here is the code process I envision:
1. Automatically select a straight line.
2. Find the location of its end points.
3. Compare the X-value of the end points to see if they are vertically aligned (or almost so).
4. If they are vertically aligned, apply a vertical constraint.
5. Select next line and repeat.
Is this possible with iLogic? I don't see any way of calling a line's sketch points or finding their location.
When I use the AutoCAD List command on a Civil 3d Point, one reported datum is Primary Point Group.
I want to get at that information with vlisp, but when I vlax-dump a point, there is no mention of Primary Point Group. If that's a limitation of using vlisp, let me know, and I won't chase it.
Maybe I have to go in through the point groups collection?
Is there a way to find the latitude and longitude of a point in an AutoCAD drawing?
View 4 Replies View RelatedI am trying to get point 1234 to show a label that says Point #1234 and then in a grading plan have that same point show up as a spot elevation. I have tried making two point groups "Point #" and "Spot Grades" which include the same points in them with two different label styles for each group, however the point seems to only want to take one label style at a time.
C3D 2012
Win 7 x64
8 GB Ram
Quadro K4000
I have a *.csv file complete with point references, easting, northing and height. I'm trying to find a way that I can import the points so that I can snap to them and also include the point reference beside the inserted point. Currently running CAD LT 2011.
View 9 Replies View Related